import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { CascaderOption, NzModalRef } from 'ng-zorro-antd';
import { DEF } from '../../../../../api';
import { SettingsService } from '@delon/theme';
export declare class IdentityUserUsersUpdateComponent implements OnInit {
    private nzModalRef;
    private settingService;
    record: DEF.Iwms.ApplicationUser;
    bindWarehouses: Array<string>;
    warehouses: Array<{
        label: string;
        value: string;
    }>;
    warehousesRetrieving: boolean;
    saving: boolean;
    formGroup: FormGroup;
    cities: Array<CascaderOption>;
    constructor(nzModalRef: NzModalRef, settingService: SettingsService);
    ngOnInit(): void;
    handleOk(): void;
    handleCancel(): void;
    onAfterOpen(): void;
}
